Bug 494180 - Audio stops upon seeking
Audio stops upon seeking
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 07:58 EDT by Stefan Neufeind
Modified: 2009-07-27 19:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 19:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from pulseaudio -vvvv (28.73 KB, text/plain)
2009-04-11 05:31 EDT, Stefan Neufeind
no flags Details

  None (edit)
Description Stefan Neufeind 2009-04-05 07:58:04 EDT
using pulseaudio 0.9.14 (f10) with snd_hda_intel (onboard soundcard) and kernel 2.6.27.21-170.2.56.fc10.x86_64

When trying to seek during a video playing in Miro the sound stops and videoplayback hangs. Using pavucontrol to switch the stream to a different output (usb-soundcard) make the video resume instantly. Restarting pulseaudio also makes the onboard sound work again.

When the "hang" occurs, pulseaudio logs to syslog:
module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.

Any known problems with snd_hda_intel? Any fixes for pulseaudio (I found none in the pending 0.9.15-release) or workaround-settings?

The above mentioned case is cleanly reproducible here.

Under some rare circumstances pulseaudio completely dies. Restarting it brings it back to normal. Not sure those cases might be related.
Comment 1 Lennart Poettering 2009-04-10 15:59:26 EDT
Please run PA in a terminal with -vvvv and paste the debug output which is tehn written to stdout here while you reproduce the issue.
Comment 2 Stefan Neufeind 2009-04-11 05:31:34 EDT
Created attachment 339161 [details]
Output from pulseaudio -vvvv

The problems "E: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers." already appeared as soon as the video in Miro started playing. The "Requesting rewind"-things started when I tried to seek, which finally led the video to freeze because soundoutput wasn't possible anymore. As soon as you will the pulseaudio-daemon, Miro reacts again.
Comment 3 Stefan Neufeind 2009-04-11 05:37:30 EDT
Seems the problem is somehow related to adding "tsched=0" to module-hal-detect as described in
http://fedoraproject.org/wiki/Features/GlitchFreeAudio#Contingency_Plan
http://www.fedorawiki.de/index.php/Workarounds#F10_Audio-Probleme

Without tsched=0 I don't get the above mentioned, full hangs. But I get audio-skips, especially at the start of a movie.
Comment 4 Lennart Poettering 2009-04-23 18:46:56 EDT
Hmm, any chance you can get me a full bt over all threads when this happens? i.e. try to reproduce and then attach a gdb to that process with debugging symbols enabled?
Comment 5 Lennart Poettering 2009-07-27 19:09:13 EDT
Closing due to lack of response to needinfo request.

Note You need to log in before you can comment on or make changes to this bug.